#include <stdio.h>

char arr[5][16];

int main(){
    int max_len=0, len;

    for(int i=0; i<5; i++){
        scanf("%s",arr[i]);
        len=0;
        for(int j=0; arr[i][j]!='\0'; j++){
            len++;
        }
        if(max_len<len){
            max_len=len;
        }
    }

    for(int j=0; j<max_len; j++){
        for(int i=0; i<5; i++){
            if(arr[i][j] != '\0'){
                printf("%c",arr[i][j]);
            }
        }
    }

    return 0;
}